# -*- makefile -*-

default_CONFIG  = CONFIG_APP_RPI_PMSM_T1=x
#default_CONFIG += CONFIG_OC_MWENGINE=x
default_CONFIG += CONFIG_APP_RPI_PMSM_T1_WITH_ULAN=x
default_CONFIG += CONFIG_APP_RPI_PMSM_T1_WITH_SUITK=x
default_CONFIG += CONFIG_APP_RPI_PMSM_T1_WITH_CANOPEN=x
default_CONFIG += CONFIG_APP_RPI_PMSM_T1_WITH_SIM_POSIX=x
default_CONFIG += CONFIG_APP_RPI_PMSM_T1_WITH_ZYNQ_DRV=x
default_CONFIG += CONFIG_APP_RPI_PMSM_T1_WITH_BSDNET=x
default_CONFIG += CONFIG_APP_RPI_PMSM_T1_SETUP_CLKOUT=y
default_CONFIG += CONFIG_OC_CMDPROC=x CONFIG_PXMC=x CONFIG_PXMC_COORDMV=x

ifeq ($(CONFIG_APP_RPI_PMSM_T1),y)

LOCAL_CONFIG_H = appl_config.h

#INCLUDES += -I$(USER_INCLUDE_DIR)/ul_lib -I.

INCLUDES += -I.

bin_PROGRAMS = rpi_pmsm_t1

rpi_pmsm_t1_SOURCES  = appl_main.c

rpi_pmsm_t1_SOURCES += appl_utils.c
pxmchwplugin_SOURCES += appl_utils.c

ifneq ($(CONFIG_APP_RPI_PMSM_T1_WITH_ZYNQ_DRV),y)
rpi_pmsm_t1_SOURCES += rpi_gpio.c
rpi_pmsm_t1_SOURCES += rpi_gpclk.c
rpi_pmsm_t1_SOURCES += rpi_spi.c
pxmchwplugin_SOURCES += rpi_gpio.c
pxmchwplugin_SOURCES += rpi_gpclk.c
pxmchwplugin_SOURCES += rpi_spi.c
else
rpi_pmsm_t1_SOURCES += zynq_3pmdrv1_mc.c
pxmchwplugin_SOURCES += zynq_3pmdrv1_mc.c
endif

ifeq ($(CONFIG_OC_CMDPROC),y)
rpi_pmsm_t1_SOURCES += appl_cmdproc.c
#rpi_pmsm_t1_SOURCES += appl_cmds.c
#rpi_pmsm_t1_SOURCES += appl_tests.c
#rpi_pmsm_t1_SOURCES += appl_dprint.c
#rpi_pmsm_t1_SOURCES += cmd_uartcon.c
ifeq ($(CONFIG_PXMC_COORDMV),y)
rpi_pmsm_t1_SOURCES += appl_pxmccmds.c
endif
endif

ifeq ($(CONFIG_PXMC),y)
ifeq ($(CONFIG_PXMC_COORDMV),y)
rpi_pmsm_t1_SOURCES += appl_coordmv.c math_sqrtll.c
lib_LOADLIBES += pxmc_coordmv
endif
rpi_pmsm_t1_SOURCES += appl_pxmc.c
pxmchwplugin_SOURCES += appl_pxmc.c
#rpi_pmsm_t1_SOURCES += appl_pxmccmds.c
lib_LOADLIBES += pxmc
#lib_LOADLIBES += pxmcbsp
endif

ifeq ($(CONFIG_OC_CMDPROC),y)
lib_LOADLIBES += cmdproc misc
endif

ifeq ($(CONFIG_APP_RPI_PMSM_T1_WITH_CANOPEN),y)
lib_LOADLIBES += vca pxmc_dinfo sui_addons suiut ulevpoll
shared_LIBRARIES += pxmchwplugin
pxmchwplugin_SOURCES += pxmchwplugin.c
endif

ifeq ($(CONFIG_OC_ULUT),y)
lib_LOADLIBES += ulut
endif

ifneq ($(CONFIG_OC_BUILD4RTEMS),y)
lib_LOADLIBES += rt
lib_LOADLIBES += pthread
else
rpi_pmsm_t1_SOURCES += rtems_init.c
lib_LOADLIBES += rtemsbsp rtemscpu rtemsbsp
ifeq ($(CONFIG_APP_RPI_PMSM_T1_WITH_BSDNET),y)
lib_LOADLIBES += ftpfs tftpfs bsd
endif
endif
lib_LOADLIBES += m

#link_VARIANTS = app sdram

endif #CONFIG_APP_RPI_PMSM_T1
